* {
    font-family: "Roboto", serif;
}

body {
    margin: 0;
    padding: 0;
    background-color: rgb(245, 245, 245);
}

.main {
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.main h1 {
    font-size: 4rem;
    margin-bottom: 2rem;
    font-weight: bold;
}

.main h2 {
    font-size: 2rem;
    font-weight: bold;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-row * {
    margin-right: 1rem;
}

.mi {
    display: flex;
    flex-direction: column;
}

.mi-label {
    font-size: 1.5rem;
}

.mi-input {
    font-size: 1.5rem;
    padding: 0.7rem;
    width: 25rem;
    border-radius: 0.2rem;
    border: 1px solid black;
}

.mi-button {
    margin-top: 2rem;
    font-size: 1.5rem;
    padding: 1rem;
    background-color: #304C89;
    color: white;
    border: none;
    border-radius: 0.7rem;
    width: 15rem;
    margin-left: auto;
    margin-right: auto;
}

table,
th,
td {
    border: 1px solid black;
    border-collapse: collapse;
    font-size: 1.5rem;
    padding: 1rem;
}

th,
td {
    font-size: 1.5rem;
    padding: 1rem;
    text-align: center;
    white-space: pre-wrap;
}


.res-comment {
    padding-top: 0.5rem;
}

.solution-failed {
    color:red;

}.solution-successful {
    color: green;
}